Subject: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Po Lu <[email-masked]>
Date: Fri, 12 Jan 2024 21:12:40 +0800

Eli Zaretskii <[email-masked]> writes:

> AFAIU, the OP's request was to allow to have a default font that lacks
> the bold variant, so that the bold face attribute could be displayed
> in some other way, or maybe not at all.

I thought the OP's difficulties related to the rendering of icon fonts
without bold variants displayed in contexts where the bold attribute is
generally applied, which if true it can be removed, after which the
world's your lobster.  Though if disabling the bold attribute for the
default face is indeed what OP wanted, providing this option exclusively
for fonts without bold variants (that is, subject to overstriking) would
create a fairly glaring deficiency.